# Class default

#### Hierarchy

- Layer
  - default

- Defined in src/offline/Mask.js:35

#####
Index

### Constructors

constructor

### Properties

extentInMeters_
margin_

### Methods

createExtent
render

## Constructors

### constructor

- new default(layerOptions?: Options<Source>, maskOptions?: Options): default

- #### Parameters

  - ##### layerOptions: Options<Source> = {}

  - ##### maskOptions: Options = {}

  #### Returns default

  Overrides Layer.constructor

  - Defined in src/offline/Mask.js:40

## Properties

### extentInMeters_

extentInMeters_: number

- Defined in src/offline/Mask.js:52

### margin_

margin_: number

- Defined in src/offline/Mask.js:51

## Methods

### createExtent

- createExtent(center: Coordinate, halfLength: number): Extent

- ### Returns

  an extent.

  #### Parameters

  - ##### center: Coordinate

    center, a xy point.

  - ##### halfLength: number

    a half length of a square's side.

  #### Returns Extent

  - Defined in src/offline/Mask.js:60

### render

- render(frameState: FrameState): HTMLElement

- ### Returns

  #### Parameters

  - ##### frameState: FrameState

  #### Returns HTMLElement

  Overrides Layer.render

  - Defined in src/offline/Mask.js:72

Generated using TypeDoc